Module | Compass::SassExtensions::Sprites::SpriteMethods
In: | lib/compass/sass_extensions/sprites/sprite_methods.rb

### Methods

cleanup_old_sprites compute_image_metadata! filename generate generation_required? image_filenames init_engine init_images log mtime name_and_hash outdated? relativize save! size uniqueness_hash validate!

### Constants

SPRITE_VERSION | = | "2" |  | Changing this string will invalidate all previously generated sprite images. We should do so only when the packing algorithm changes

### Public Instance methods

cleanup_old_sprites()
compute_image_metadata!()

Calculates the overal image dimensions collects image sizes and input parameters for each sprite Calculates the height

filename()

The on-the-disk filename of the sprite

generate()

Generate a sprite image if necessary

generation_required?()

Does this sprite need to be generated

image_filenames()

All the full-path filenames involved in this sprite

init_engine()
init_images()

Creates the Sprite::Image objects for each image and calculates the width

log(action, filename, *extra)
mtime()

Mtime of the sprite file

name_and_hash()
outdated?()

Checks whether this sprite is outdated

relativize(path)
save!()

Saves the sprite engine

size()

Calculate the size of the sprite

uniqueness_hash()

Returns the uniqueness hash for this sprite object

validate!()

Validates that the sprite_names are valid sass

[Validate]